Mail archive
alpine-aports

[alpine-aports] [PATCH] main/apache2: upgrade to 2.4.17

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Thu, 29 Oct 2015 20:36:04 +0200

---
 main/apache2/APKBUILD          | 105 ++++++++++++++++++++---------------------
 main/apache2/alpine.layout     |   6 +--
 main/apache2/apache2.confd     |   2 +-
 main/apache2/apache2.initd     |   6 +--
 main/apache2/apache2.logrotate |   2 +-
 main/apache2/httpd.conf        |  10 ++--
 6 files changed, 63 insertions(+), 68 deletions(-)
diff --git a/main/apache2/APKBUILD b/main/apache2/APKBUILD
index fded8bd..50fbe06 100644
--- a/main/apache2/APKBUILD
+++ b/main/apache2/APKBUILD
_at_@ -1,6 +1,7 @@
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=apache2
-pkgver=2.4.16
+_pkgreal=httpd
+pkgver=2.4.17
 pkgrel=0
 pkgdesc="A high performance Unix-based HTTP server"
 url="http://httpd.apache.org/"
_at_@ -17,7 +18,7 @@ subpackages="$pkgname-dev $pkgname-doc $pkgname-utils $pkgname-ssl
 	$pkgname-proxy-html:proxy_html
 	$pkgname-proxy
 	$pkgname-lua:_lua"
-source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
+source="http://archive.apache.org/dist/$_pkgreal/$_pkgreal-$pkgver.tar.bz2
 	apache2.confd
 	apache2.logrotate
 	apache2.initd
_at_@ -31,18 +32,18 @@ source="http://archive.apache.org/dist/httpd/httpd-$pkgver.tar.bz2
 	"
 options="suid"
 
-_builddir="$srcdir"/httpd-$pkgver
+_builddir="$srcdir"/$_pkgreal-$pkgver
 
 prepare() {
-	cd "$srcdir"/httpd-$pkgver
+	cd "$_builddir"
 	cat "$srcdir/alpine.layout" >> config.layout
 }
 
 build() {
-	cd "$srcdir"/httpd-$pkgver
+	cd "$_builddir"
+#		--build=$CBUILD \
+#		--host=$CHOST \
 	./configure \
-		--build=$CBUILD \
-		--host=$CHOST \
 		--prefix=/usr \
 		--enable-layout=Alpine \
 		--enable-so \
_at_@ -86,11 +87,11 @@ build() {
 }
 
 package() {
-	cd "$srcdir"/httpd-$pkgver
+	cd "$_builddir"
 	make -j1 DESTDIR="$pkgdir" install || return 1
 	# config
-	rm -r "$pkgdir"/etc/apache2/httpd.conf \
-		"$pkgdir"/etc/apache2/extra
+	rm -fr "$pkgdir"/run "$pkgdir"/etc/apache2/original "$pkgdir"/etc/apache2/extra
+	ln -s /var/log/apache2 "$pkgdir"/usr/lib/apache2/logs
 	install -D -m644 "$srcdir"/httpd.conf "$pkgdir"/etc/apache2/httpd.conf \
 		|| return 1
 	install -d "$pkgdir"/etc/apache2/conf.d || return 1
_at_@ -104,15 +105,11 @@ package() {
 		"$pkgdir"/etc/conf.d/apache2 || return 1
 
 	install -d "$pkgdir"/var/www || return 1
-	ln -fs /var/log/apache2 "$pkgdir"/var/www/logs
-	ln -fs /var/run/apache2 "$pkgdir"/var/www/run
-	ln -fs /usr/lib/apache2 "$pkgdir"/var/www/modules
-	ln -fs /etc/apache2/conf.d "$pkgdir"/var/www/conf.d
 
 	# verify all MPMs are built
 	# ref #2866
 	for i in prefork event worker; do
-		if ! [ -e "$pkgdir"/usr/lib/apache2/mod_mpm_$i.so ]; then
+		if ! [ -e "$pkgdir"/usr/lib/apache2/modules/mod_mpm_$i.so ]; then
 			error "$i MPM was not built"
 			return 1
 		fi
_at_@ -153,9 +150,9 @@ ssl() {
 	install="apache2-ssl.post-install"
 	depends="apache2 openssl"
 
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/mod_ssl.so \
-		"$subpkgdir"/usr/lib/apache2/mod_ssl.so || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/mod_ssl.so \
+		"$subpkgdir"/usr/lib/apache2/modules/mod_ssl.so || return 1
 	install -D -m644 "$srcdir"/ssl.conf \
 		"$subpkgdir"/etc/apache2/conf.d/ssl.conf || return 1
 	install -d "$subpkgdir"/etc/ssl/apache2 || return 1
_at_@ -166,9 +163,9 @@ ldap() {
 	url="http://httpd.apache.org/docs/2.4/mod/mod_authnz_ldap.html"
 	depends="apache2 apr-util-ldap"
 
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/mod_*ldap.so \
-		"$subpkgdir"/usr/lib/apache2/ || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/mod_*ldap.so \
+		"$subpkgdir"/usr/lib/apache2/modules/ || return 1
 	install -D -m644 "$srcdir"/ldap.conf \
 		"$subpkgdir"/etc/apache2/conf.d/ldap.conf || return 1
 }
_at_@ -178,10 +175,10 @@ webdav() {
 	depends="apache2"
 	replaces="apache2"
 
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/mod_*dav.so \
-		"$pkgdir"/usr/lib/apache2/mod_dav_*.so \
-		"$subpkgdir"/usr/lib/apache2/ || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/mod_*dav.so \
+		"$pkgdir"/usr/lib/apache2/modules/mod_dav_*.so \
+		"$subpkgdir"/usr/lib/apache2/modules/ || return 1
 	install -D -m644 "$_builddir"/docs/conf/extra/httpd-dav.conf \
 		"$subpkgdir"/etc/apache2/conf.d/http-dav.conf || return 1
 }
_at_@ -189,10 +186,10 @@ webdav() {
 proxy_html() {
 	pkgdesc="HTML and XML content filters for the Apache HTTP Server"
 	depends="apache2"
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/*_proxy_html.so \
-		"$pkgdir"/usr/lib/apache2/*xml2enc*.so \
-		"$subpkgdir"/usr/lib/apache2/ || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/*_proxy_html.so \
+		"$pkgdir"/usr/lib/apache2/modules/*xml2enc*.so \
+		"$subpkgdir"/usr/lib/apache2/modules/ || return 1
 	install -D -m644 "$srcdir"/proxy-html.conf \
 		"$subpkgdir"/etc/apache2/conf.d/proxy-html.conf || return 1
 }
_at_@ -200,10 +197,10 @@ proxy_html() {
 proxy() {
 	pkgdesc="Proxy modules for the Apache HTTP Server"
 	depends="apache2"
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/*_proxy*.so \
-		"$pkgdir"/usr/lib/apache2/*_lbmethod*.so \
-		"$subpkgdir"/usr/lib/apache2/ || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/*_proxy*.so \
+		"$pkgdir"/usr/lib/apache2/modules/*_lbmethod*.so \
+		"$subpkgdir"/usr/lib/apache2/modules/ || return 1
 	install -D -m644 "$srcdir"/proxy.conf \
 		"$subpkgdir"/etc/apache2/conf.d/proxy.conf || return 1
 }
_at_@ -211,44 +208,44 @@ proxy() {
 _lua() {
 	pkgdesc="Lua support for the Apache HTTP server"
 	depends="apache2"
-	install -d "$subpkgdir"/usr/lib/apache2 || return 1
-	mv "$pkgdir"/usr/lib/apache2/*_lua.so \
-		"$subpkgdir"/usr/lib/apache2/ || return 1
+	install -d "$subpkgdir"/usr/lib/apache2/modules || return 1
+	mv "$pkgdir"/usr/lib/apache2/modules/*_lua.so \
+		"$subpkgdir"/usr/lib/apache2/modules/ || return 1
 	install -D -m644 "$srcdir"/lua.conf \
 		"$subpkgdir"/etc/apache2/conf.d/lua.conf || return 1
 }
 
 
-md5sums="2b19cd338fd526dd5a63c57b1e9bfee2  httpd-2.4.16.tar.bz2
-e322b5211e49511cac6e40c86af1b1da  apache2.confd
-75fe4138b98fcffd01b8c8c077b944f3  apache2.logrotate
-83c2ac51dbd0a68506902f9f6f4dfd24  apache2.initd
-d99af87f64688e7e62703ca27fcfe3bd  httpd.conf
+md5sums="cf4dfee11132cde836022f196611a8b7  httpd-2.4.17.tar.bz2
+257d2572921dd4506b0464441f88fab4  apache2.confd
+8519af87c57b50441866ad4216e4d663  apache2.logrotate
+d987ffd3b532d3ce47feb1546ed25a85  apache2.initd
+b171585e496d9231e5af8c1e5a83d36d  httpd.conf
 fd2d16bda774c7a28668b0652ebc7ab8  ssl.conf
 b70fe826486043e3953cfe21f9e6fa16  ldap.conf
 fe26a0a70f572eb256a3c6c183a62223  proxy-html.conf
 96eddccfca1ec0349f844e2460cf655b  proxy.conf
 449a4aea60473ac4a16f025fca4463e3  lua.conf
-c66ff5f70260d5266e6803a59b39bd7f  alpine.layout"
-sha256sums="ac660b47aaa7887779a6430404dcb40c0b04f90ea69e7bd49a40552e9ff13743  httpd-2.4.16.tar.bz2
-8b0ce62fc4e7cea3801744969d0b2390e28e4d11dd533816eb91e9d7af225500  apache2.confd
-dabf43e11c941125c771d2f4f5dadd1038906420716b747dfc8f5a946a0bdad5  apache2.logrotate
-2ead4e8a26f3cffae1d7b52c7662ee3edfbcc573b01f87e96af127ee0c31a3e6  apache2.initd
-758f7dca0070544697247e42338fc72511eb8927055fc66e8b1b39592b236e67  httpd.conf
+d54b5fcae1a66d85950c1846277e9c31  alpine.layout"
+sha256sums="331e035dec81d3db95b048f036f4d7b1a97ec8daa5b377bde42d4ccf1f2eb798  httpd-2.4.17.tar.bz2
+6ca904ad65c1a4122d8ea4a3303ea8184429a4a4d7fb81defc30f3e184258c0a  apache2.confd
+8e2a8870d51796cf04cc7d8985c43e36afe9ae79e2d6765050a0e72c0de8dce7  apache2.logrotate
+208e7d501cf018fe9707d2f907bfdce236bab64bc12381321c1f835660125908  apache2.initd
+ffc74ae07c36a9fcbd976c9f656a45c952bfd85714c3f1e1bc2315744abaf097  httpd.conf
 75519a29d04e20383097477801dd6cc9bb6ca325aa514bf69081429d73b21012  ssl.conf
 25771023d7c921a13c792607d47bd716c92698b20af21c018f0922eaf79a9604  ldap.conf
 2511d6ea64c0f253b219670c445ed4f403f94caba5fb05e0b9600f0d107e1dda  proxy-html.conf
 00c42b7806eaa73e732be9d9e92c3e841b20c6d91a9920be47f19db8aee3513e  proxy.conf
 edf701795137566c7cf4b9c0c95ecd5f8c58269f5600217a0a4d289d2bf15384  lua.conf
-cf0033a245d1d7752539613b6c92beaea9c0a755e7a877c8d41a2d4fd0f3eb22  alpine.layout"
-sha512sums="039750ff962c08a7261896acc8272e59874d066f7d52721aaf967ddb737fc5716acc47e1effaf7c4d156ba61bc393e0738f64f8e89cc277ba2651e0f61d56628  httpd-2.4.16.tar.bz2
-e0a0b87889eff01e8a1ee21853d26c0307ceb87428727e60819d29644d8e54e9bfc08c197924567bed26befc904f8384af19516aea849f3cd6859d76b175b742  apache2.confd
-566a8c469ef148dfbb9449e91d6fb93baf85d06a31a52c283a7e402aef7bfa8b46c34ebed91c76b3e5a2cc606660145e8fc63fa41bdb22574c7efc4fc4d993e5  apache2.logrotate
-bb4056c9819996a41a920d53b01bd9fedcdb6227fde79d2bf7e81d96ce841c53fbd1a5550bc2d4fc3f88197ed71c4d2cc532056dfe603e32283fec9a5fc91385  apache2.initd
-ddbf077826ea16c9ecafea7b606adad04d5f4ce126f0d64fe677d9b6f4d81fddcd83a3f9d73c5c734ea0012e69c44c9d81bd0d4864aa4111045ab20f68cfbd13  httpd.conf
+36a2ff264586fae7c31a0c79a96243bbdeb6560811ac099e5a37d5b0237dbbc7  alpine.layout"
+sha512sums="d818dbd4b138db592a98fecdf5ae13dfadc19f9553e98bdafbdadd4693ae19bb44c96c8c279e9546978bbce55b9286ce3c4ae69cf701a9812be134a3a517b1f6  httpd-2.4.17.tar.bz2
+8e62b101f90c67babe864bcb74f711656180b011df3fd4b541dc766b980b72aa409e86debf3559a55be359471c1cad81b8779ef3a55add8d368229fc7e9544fc  apache2.confd
+18e8859c7d99c4483792a5fd20127873aad8fa396cafbdb6f2c4253451ffe7a1093a3859ce719375e0769739c93704c88897bd087c63e1ef585e26dcc1f5dd9b  apache2.logrotate
+b60d26905ada44f3f3df026b1d21f577c6034b237428cc0985edcc81c5463827b86d391c18b65b56df47f83bc871957f386852c2729fdc0456f8ea9e813fa326  apache2.initd
+77763e19b8ece00cb13c395c144b1257b768deed8fff4676fcaab8a2cf715a0c2bf72fef1d7e7e3a18ce1a4a3d49e046f8ed7c63a28b9f961651eb0cc6a66c8c  httpd.conf
 c164caf143993d0c2a93766988a2480232b0f42731c291e56b9ddc03c9fe6e02994b9e7adfdcde1b49e2bcb43f4c90ba1e2e2af74ac3b7e1dbebd8baadc63a18  ssl.conf
 fbdc28ea4b94af91640794945ac4e1f45e4200e54d5bdf64c0c03fc8bdb589e444cc4f7dd0b70b696c0e5e033c8489b8bd8f8fd090906c4379651c7d032c2449  ldap.conf
 263149f4a0b515e3b6d162ff282ffa90f8a448c10eb7185aec0caf75af7691b5486fa74ebe4fd46ae0ccdcf226a227705b4be4c23ed12b6d0c0aedd94a348810  proxy-html.conf
 aabbe171219f15efe47f8e972fc1a43f98b48977aae91b597b65bb447027992bf81757bde68b26a67e5e3b9f2e748d94b3c85d5c07433627b6048d60a51d400b  proxy.conf
 f2950005ac0d8c7a5e34958f1274c9ed0f5f634a5bc766e12834917937df9db901c5fc2460da70e1a62f17440d4719163cd4213496dbf579c80a789b8e18f65c  lua.conf
-30faedf3683e1600d9505dc593b0193359eed7e3d925da772ba795b1354171821233072293105d0da41376b2561823fa48c2406f07276648a87b858dcf323c5e  alpine.layout"
+908bae8c81782f9e81c5412e0d72ccc837193c224bb3b16c8ca20fa62ce76cf458d8e9fe3333f9a9c0fbd86e1baa0d3c100c6dc99b8f72a3a6183985fb7ed838  alpine.layout"
diff --git a/main/apache2/alpine.layout b/main/apache2/alpine.layout
index 99f20df..9e84387 100644
--- a/main/apache2/alpine.layout
+++ b/main/apache2/alpine.layout
_at_@ -4,7 +4,7 @@
 	bindir:          ${prefix}/bin
 	sbindir:         ${prefix}/sbin
 	libdir:          ${prefix}/lib
-	libexecdir:      ${prefix}/lib+
+	libexecdir:      ${prefix}/lib/apache2/modules
 	mandir:          ${prefix}/share/man
 	sysconfdir:      /etc+
 	datadir:         ${prefix}/share+
_at_@ -13,10 +13,10 @@
 	iconsdir:        ${datadir}/icons
 	htdocsdir:       /var/www/localhost/htdocs
 	manualdir:       /usr/share/doc/apache2/manual
-	cgidir:          /var/www/cgi-bin
+	cgidir:          /var/www/localhost/cgi-bin
 	includedir:      /usr/include+
 	localstatedir:   /var
-	runtimedir:      ${localstatedir}/run+
+	runtimedir:      /run+
 	logfiledir:      ${localstatedir}/log+
 	proxycachedir:   ${localstatedir}/cache+
 </Layout>
diff --git a/main/apache2/apache2.confd b/main/apache2/apache2.confd
index faf02fa..aeb3222 100644
--- a/main/apache2/apache2.confd
+++ b/main/apache2/apache2.confd
_at_@ -22,7 +22,7 @@ HTTPD_OPTS=
 # YOU HAVE BEEN WARNED.
 
 # PID file
-#PIDFILE=/var/run/apache2/httpd.pid
+#PIDFILE=/run/apache2/httpd.pid
 
 # timeout for startup/shutdown checks
 #TIMEOUT=10
diff --git a/main/apache2/apache2.initd b/main/apache2/apache2.initd
index 529d0eb..9ba3006 100755
--- a/main/apache2/apache2.initd
+++ b/main/apache2/apache2.initd
_at_@ -1,6 +1,4 @@
 #!/sbin/openrc-run
-# Copyright 1999-2007 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
 
 extra_commands="configdump configtest modules virtualhosts"
 extra_started_commands="fullstatus graceful gracefulstop reload"
_at_@ -18,7 +16,7 @@ configtest() {
 }
 
 checkconfd() {
-	PIDFILE="${PIDFILE:-/var/run/apache2/httpd.pid}"
+	PIDFILE="${PIDFILE:-/run/apache2/httpd.pid}"
 	TIMEOUT=${TIMEOUT:-10}
 
 	SERVERROOT="${SERVERROOT:-/var/www}"
_at_@ -55,8 +53,8 @@ checkconfig() {
 }
 
 start() {
-	checkpath --directory /var/run/apache2
 	checkconfig || return 1
+	checkpath --directory $(dirname $PIDFILE)
 
 	[ -f /var/log/apache2/ssl_scache ] && rm /var/log/apache2/ssl_scache
 
diff --git a/main/apache2/apache2.logrotate b/main/apache2/apache2.logrotate
index fe19a43..b50fb71 100644
--- a/main/apache2/apache2.logrotate
+++ b/main/apache2/apache2.logrotate
_at_@ -4,7 +4,7 @@
     sharedscripts
     delaycompress
     postrotate
-        /sbin/rc-service --quiet apache2 reload > /dev/null 2>/dev/null || true
+        /etc/init.d/apache2 --quiet --ifstarted reload > /dev/null 2>/dev/null || true
     endscript
 }
 
diff --git a/main/apache2/httpd.conf b/main/apache2/httpd.conf
index 1166d8d..62a09b2 100644
--- a/main/apache2/httpd.conf
+++ b/main/apache2/httpd.conf
_at_@ -54,7 +54,7 @@ ServerTokens OS
 #
 # Do NOT add a slash at the end of the directory path.
 #
-ServerRoot "/var/www"
+ServerRoot "/usr/lib/apache2"
 
 #
 # PidFile: The file in which the server should record its process
_at_@ -62,7 +62,7 @@ ServerRoot "/var/www"
 # /etc/conf.d/apache2 must be set appropriately if this location is
 # changed.
 #
-PidFile run/httpd.pid
+#PidFile /run/apache2/httpd.pid
 
 #
 # Timeout: The number of seconds before receives and sends time out.
_at_@ -619,13 +619,13 @@ Alias /icons/ "/usr/share/apache2/icons/"
 # The same rules about trailing "/" apply to ScriptAlias directives as to
 # Alias.
 #
-ScriptAlias /cgi-bin/ "/var/www/cgi-bin/"
+ScriptAlias /cgi-bin/ "/var/www/localhost/cgi-bin/"
 
 #
-# "/var/www/cgi-bin" should be changed to whatever your ScriptAliased
+# "/var/www/localhost/cgi-bin" should be changed to whatever your ScriptAliased
 # CGI directory exists, if you have that configured.
 #
-<Directory "/var/www/cgi-bin">
+<Directory "/var/www/localhost/cgi-bin">
     AllowOverride None
     Options None
 #    Require all granted
-- 
2.6.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Oct 29 2015 - 20:36:04 GMT